/*
 * Sixth 3D engine. Copyright ©2012-2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.gui;

import eu.svjatoslav.sixth.e3d.gui.humaninput.KeyboardFocusTracker;
import eu.svjatoslav.sixth.e3d.gui.humaninput.UserInputTracker;
import eu.svjatoslav.sixth.e3d.renderer.raster.ShapeCollection;

public class ViewContext {

    private final UserInputTracker userInputTracker = new UserInputTracker(this);

    private final KeyboardFocusTracker keyboardFocusTracker = new KeyboardFocusTracker(
            this);

    private final Avatar avatar = new Avatar();

    private final View view;

    private final ShapeCollection rootShapeCollection = new ShapeCollection();

    public ViewContext(final View view) {
        this.view = view;
    }

    public Avatar getAvatar() {
        return avatar;
    }

    public KeyboardFocusTracker getKeyboardFocusTracker() {
        return keyboardFocusTracker;
    }

    public ShapeCollection getRootShapeCollection() {
        return rootShapeCollection;
    }

    public UserInputTracker getUserInputTracker() {
        return userInputTracker;
    }

    public View getView() {
        return view;
    }

}
