/*
 * Sixth 3D engine. Copyright ©2012-2018, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.renderer.raster.shapes.composite.base;

import eu.svjatoslav.sixth.e3d.renderer.raster.shapes.AbstractShape;

public class SubShape {

    private final AbstractShape shape;
    private boolean visible = true;
    private String groupIdentifier;

    public SubShape(AbstractShape shape) {
        this.shape = shape;
    }

    public boolean isUngrouped() {
        return groupIdentifier == null;
    }

    public boolean matchesGroup(final String groupIdentifier) {
        if (this.groupIdentifier == null)
            return groupIdentifier == null;

        return this.groupIdentifier.equals(groupIdentifier);
    }

    public void setGroup(final String groupIdentifier) {
        this.groupIdentifier = groupIdentifier;
    }

    public AbstractShape getShape() {
        return shape;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }
}
